    001/* ===========================================================
    002 * JFreeChart : a free chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jfreechart/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025 * Other names may be trademarks of their respective owners.]
    026 *
    027 * ---------------------------
    028 * XYSeriesLabelGenerator.java
    029 * ---------------------------
    030 * (C) Copyright 2004-2008, by Object Refinery Limited.
    031 *
    032 * Original Author:  David Gilbert (for Object Refinery Limited);
    033 * Contributor(s):   -;
    034 *
    035 * Changes
    036 * -------
    037 * 16-Nov-2004 : Version 1 (DG);
    038 * ------------- JFREECHART 1.0.x ---------------------------------------------
    039 * 24-Nov-2006 : Updated API docs (DG);
    040 *
    041 */
    042
    043package org.jfree.chart.labels;
    044
    045import org.jfree.data.xy.XYDataset;
    046
    047/**
    048 * A generator that creates labels for the series in an {@link XYDataset}.
    049 * <P>
    050 * Classes that implement this interface should be either (a) immutable, or
    051 * (b) cloneable via the <code>PublicCloneable</code> interface (defined in
    052 * the JCommon class library).  This provides a mechanism for the referring
    053 * renderer to clone the generator if necessary.
    054 */
    055public interface XYSeriesLabelGenerator {
    056
    057    /**
    058     * Generates a label for the specified series.  This label will be
    059     * used for the chart legend.
    060     *
    061     * @param dataset  the dataset (<code>null</code> not permitted).
    062     * @param series  the series.
    063     *
    064     * @return A series label.
    065     */
    066    public String generateLabel(XYDataset dataset, int series);
    067
    068}